Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.

  Show Posts
Pages: [1] 2 3 ... 24
1  News and Content / Updates/Changes / Re: Update (14/06/2016) on: June 22, 2016, 10:55:35 pm
Motley, i really can't tell if you're trolling with your whole 'i love XP and everything before it'. It boggles my mind that anyone would say 'i want to run windows 98' in this day and age.
As for LU, sure it _could_ run on Win98, 2000 etc but LU has never ran on anything older than XP (i did test 2000 once for shits n giggles). Dropping XP support is a good step for everyones sake.
XP is full of so many security flaws these days it's not even funny. There is no way to secure XP anymore due to huge unpatched issues. The only people running a 'secure' XP these days are isolated government systems but they don't run the normal consumer versions. I've taught people how to break fully patched XP systems without even touching them, it's so much fun! It's actually possible to format your entire machine right now by placing a tiny bit of code on the LU forum... *whistles*

Also, i feel sorry for your SSD as WinXP doesn't know how to handle an SSD nicely and it treats it as a hard drive. XP doesn't have support for TRIM and it even tries to defrag them (NEVER defrag an SSD unless you don't like it very much).

You say you connect to 10 VPNs, are these public VPNs? Because that's just silly. The only secure VPNs are ones you control yourself. What's to stop the people running the VPNs from snooping on your traffic?

As for ReactOS, that might work with WINE. I haven't actually tested it but as WINE has the compatibility of what's essentially Windows 7, it might work. If someone could confirm that it'd be great :)

Anyway, GTAV is calling so i'll finish my rant (for the moment!)
2  Liberty Unleashed / Support / Re: Problem with LU Server on: June 21, 2016, 09:45:17 am
Strange, this the Windows or Linux server?
3  Liberty Unleashed / Support / Re: problem with LU launcher on: June 18, 2016, 01:51:42 am
You are receiving this error because your operating system is seriously out of date. The function that the launcher is looking for was introduced with a path to Windows 7 that was released in 2011 (

Run Windows Update, install the several hundred updates that you are missing and try again.

Seriously, why don't you have updates installed? :/
4  News and Content / Updates/Changes / Re: Update (14/06/2016) on: June 17, 2016, 04:39:37 pm
You need the Visual Studio 2015 redistributable:
5  Liberty Unleashed / Support / Re: How to disable auto updater for server? on: June 16, 2016, 03:20:22 pm
Wow... Vista... didn't know anybody still used that!

Does it actually crash or just fail to start? Does the LU client run?

Have you tried installing the VS2015 redist?
6  News and Content / Updates/Changes / Re: Update (14/06/2016) on: June 16, 2016, 03:17:36 pm
Ohh so it happens when you minimise? That makes sense as minimising freezes the netcode for a bit so any integrity checking will time out. I'll look into this a bit more sometime this weekend.

Two solutions... don't minimise the game or run the game in window mode as that keeps the game running from what i remember
7  News and Content / Updates/Changes / Re: Update (14/06/2016) on: June 15, 2016, 11:40:19 pm
Fixed the download issue

Feck knows why the memory check times out. This on a linux server and how laggy are you? I might have to increase the time for the initial check.

As for the 'exploit', like i said i fixed some. I really cannot be bothered putting proper time and effort in so i patched some easy things.

As for the linux server, i guess adtec compiled it with a new GCC version. What OS are you running?
Windows server crashing... bleh.

Most of the fixes were done quickly when i had a sudden urge to fix things.
8  News and Content / Updates/Changes / Re: Update (14/06/2016) on: June 15, 2016, 12:14:20 am
It's that important it's listed twice xD I'll remove the dupe
9  News and Content / Updates/Changes / Update (14/06/2016) on: June 15, 2016, 12:01:59 am
Liberty Unleashed 0.1 Update

Updates to Liberty Unleashed 0.1 have been released, they will be automatically applied the next time you restart your server browser, the following changes include:

  • General - Fixed another crash related to the BF injection
  • General - Fixed a crash when pressing tab in the chatbox
  • General - Fixed a crash with CallClientFunc
  • General - Fixed some memory overflows which caused client instability
  • Security - Fixed being able to bypass the LUID checks
  • Security - Fixed being able to join a server without actually joining it
  • Security - Secured the client against some known cheats and exploits
  • General - Optimised some code in both the client and server

Known Issues
  • Joining a server that has a 'handling.cfg' in the LU/data directory will cause clients to crash on join

Windows XP is no longer supported. Nobody should be running Windows XP on the internet these days so please update your operating system.

The update requires the new client (which the browser should download) and a new server for any server hosters. The new client and server have been compiled using Visual Studio 2015, a new redistributable will be installed.
10  Liberty Unleashed / Support / Re: LU updated. on: June 14, 2016, 11:49:06 pm
Found the problem. AdTec is a tit. He compiled it in 64bit ><

Redownload the linux server from the homepage, that should be the 32bit version (and if its not, blame adtec some more)
11  Liberty Unleashed / Support / Re: LU updated. on: June 14, 2016, 10:29:46 pm is now out. We're going to have to be patient and wait for a changelog topic.

Does the changelog include the module API broken? My anticheat can't be loaded bcs this.

Fairly sure the module stuff hasn't been touched for the last 2 years so i have no idea why it's not loading. Might have a look at it sometime tonight (or i'll task adtec to do it *cough*).
As for a changelog, one of us will knock one together when we finish playing GTAV ;)
12  Servers / General Server Chat / Re: Requesting a ban from the masterlist on: June 05, 2016, 06:27:55 pm
ok so i jsut got around to looking at this. All i can say is WTF... and not to you guys but to us...

Something was enabled in the client-side squirrel scripts which allowed this. No idea who did it (it may have been me in the early hours of the morning...) but those functions have now been removed. Atleast i hope thats what they were using otherwise i'll have to have another look.

Oh and with regards to the XP discussion in the topic, Get off XP you pleb. An XP box can be compromised in seconds and its actually what we use to teach apprentices security where i work. We setup a bench of XP machines and show them how they can be broken without even touching them. And yes, they have all the updates, a firewall and an up-to-date antivirus installed.
Plus, it's a pain to maintain software for XP these days. Chances are that the next LU update, which fixes these issues, won't work with XP. Mainly because it's effort to install the stupid XP targetting pack in VS2015. My current test builds will not run on anything older than Vista. The upsides to this is there are certain security and performance features which can now be activated.

Dropping XP support is to save you guys who insist on staying on it. If you have a machine that runs XP, DO NOT CONNECT IT TO THE INTERNET.
13  Liberty Unleashed / Bug Reports / Re: Liberty Unleashed Issues List [] on: June 05, 2016, 04:49:46 pm
Or.. .you could just add them to mantis ;)

I may or may not have fixed one or two of the bugs listed in this thread yesterday.... *whistles*
14  Off Topic / General Chat / Re: [LU_Wiki] Is Messed up on: May 06, 2016, 05:13:37 pm
When i updated the server this site runs on, the wiki did break but i'm fairly sure i fixed it.

I just hopped on and jumped on some random pages and they were fine. What pages are you having issues with?
15  Off Topic / General Chat / Re: LH-MP cancelled [Rant-ish] on: March 05, 2016, 03:23:55 pm
That's a real shame, Mafia 1 was pretty cool and multiplayer for it would've been great (i never did try LH-MP). I did look into the possibvility of Mafia 2 MP once but it went nowhere.
If paying for hosting was one of the reasons that he shut it down, he could've give me a prod. I wouldn't have minded hosting the site to keep it alive for the community :)
Its always a shame when mods like this die. A lot of the time it's due to low player counts or lack of interest due to them being for old games.

Bad news :(
Hope LU won't end like LH-MP. In the end for now, website is still working.

While yes, we are pretty inactive with regards to development these days and LU does have issues and a low player count, we have no intention of shutting down the site, masterlist or anything else for the foreseeable future. The website etc just uses spare processing power on my servers so it really isnt costing anything to keep it running :)

Anyway, i wish the new developers good luck and i hope they manage to resurrect it! :)
Pages: [1] 2 3 ... 24
© Liberty Unleashed Team.